%define sourcedir stable/%{version}/distribution/tar/generic/source
%define pkg kdelibs
Name: kdelibs2
Icon: kde-icon.xpm
Summary: K Desktop Environment - Libraries
Version: 1.93
Epoch: 6
Release: 2
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{pkg}-%{version}.tar.bz2
Group: System Environment/Libraries
License: LGPL
BuildRoot: %{_tmppath}/%{pkg}-buildroot
Requires: qt >= 2.2.0, kdesupport2
Prefix: /usr/lib/kde2
BuildPrereq: kdoc
ExcludeArch: ia64

%description
Libraries for the K Desktop Environment:
KDE Libraries included: kdecore (KDE core library), kdeui (user interface),
kfm (file manager), khtmlw (HTML widget), kfile (file access), kspell
(spelling checker), jscript (javascript), kab (addressbook), kimgio (image
manipulation), arts (sound, mixing and animation).

%package devel
Group: Development/Libraries
Summary: Header files and documentation for compiling KDE applications.
Requires: qt-devel, %{name} = %{version}

%description devel
This package includes the header files you will need to compile
applications for KDE.  Also included is the KDE API documentation in HTML
format for easy browsing.

%package sound
Group: System Environment/Libraries
Summary: K Desktop Environment - Libraries for sound support
Requires: %{name} = %{version}

%description sound
Libraries for sound support in the K Desktop Environment:
arts and libkmid.

%package sound-devel
Group: Development/Libraries
Summary: Header files and documentation for compiling KDE applications with sound
Requires: qt-devel >= 2.1.0, %{name}-sound = %{version}, %{name} = %{version}, %{name}-devel = %{version}

%description sound-devel
This package includes the header files you will need to compile applications
using the KDE sound libraries, arts and libkmid.
Also included is the API documentation for these libraries, in HTML format for
easy browsing.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{pkg}-%{version}
make -f Makefile.cvs

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

%ifarch i386
export FLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%else
export FLAGS="-O0"
%endif
FLAGS="-O0"

CXXFLAGS="$FLAGS" CFLAGS="$FLAGS" ./configure \
	--prefix=%{prefix} \
	--disable-final \
	--enable-libshm

make -j $CPUS CFLAGS="$FLAGS" CXXFLAGS="$FLAGS"

%install
export DESTDIR=$RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip

chmod a+x $RPM_BUILD_ROOT%{prefix}/lib/*

# Generate documentation
export PATH=%{prefix}/bin:$PATH
makekdedoc=`which makekdedoc`
if [ ! -z "$makekdedoc" ]; then
  kdocdir=$RPM_BUILD_ROOT%{_docdir}/%{pkg}-devel-%{version}-%{release} #used to be %{prefix}/share/kdedoc/ - but I think this makes more sense.
  mkdir -p $kdocdir
  qt2kdoc=`which qt2kdoc`
  if [ ! -z "$qt2kdoc" ]; then
    $qt2kdoc -o $kdocdir %{_docdir}/qt-devel-*/html
  fi
  $makekdedoc --rule-file=kdoc.rules --outputdir=$kdocdir
fi

# Create file list for sound...
(
  cd arts; make DESTDIR=$RPM_BUILD_ROOT/sound install-strip
  cd ../libkmid; make DESTDIR=$RPM_BUILD_ROOT/sound install-strip

  cd $RPM_BUILD_ROOT/sound
  mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{pkg}-sound-devel-%{version}-%{release}
  (
    cd $kdocdir
    for dir in arts libkmid; do
      if [ -d $dir ]; then
        mv $kdocdir/$dir $RPM_BUILD_ROOT%{_docdir}/%{pkg}-sound-devel-%{version}-%{release}
      fi
    done
  )
  find . -type f -name '*.h' |sed -e 's|^\.|\%attr(-,root,root) |' > \
	$RPM_BUILD_DIR/file.list.%{pkg}-sound-devel
  echo "%docdir "%{prefix}/doc/%{pkg}-devel-%{version}-%{release} >> \
	$RPM_BUILD_DIR/file.list.%{pkg}-sound-devel
  find . -name '*.so*' -o -name '*.la' |sed -e 's|^\.|\%attr(-,root,root) |' > \
	$RPM_BUILD_DIR/file.list.%{pkg}-sound
  find . -type f |grep '/bin' |sed -e 's|^\.|\%attr(-,root,root) |' >> \
	$RPM_BUILD_DIR/file.list.%{pkg}-sound
  cd $RPM_BUILD_ROOT
  rm -rf sound
) || exit 1


# build file list for the rest of kdelibs
cd $RPM_BUILD_ROOT
# Use the 2nd line for releases that don't go straight to /usr:
find . -type d | sed '1,2d;s|^\.|\%attr(-,root,root) \%dir |' > \
		$RPM_BUILD_DIR/master.list
#find . -type d | sed '1,3d;s|^\.|\%attr(-,root,root) \%dir \"|' > \

find . -type f -o -type l | sed -e 's|^\.|\%attr(-,root,root) \"|' \
		-e '/\/config\//s|^|%config|' | \
	while read file; do \
		grep -q "$file\$" $RPM_BUILD_DIR/file.list.%{pkg}-sound* || \
			echo $file >>$RPM_BUILD_DIR/master.list
	done

grep "/include" $RPM_BUILD_DIR/master.list > \
	$RPM_BUILD_DIR/file.list.%{pkg}-devel
grep "/doc/%{pkg}-devel" $RPM_BUILD_DIR/master.list >> \
	$RPM_BUILD_DIR/file.list.%{pkg}-devel
grep "/doc/%{pkg}-sound-devel" $RPM_BUILD_DIR/master.list >> \
	$RPM_BUILD_DIR/file.list.%{pkg}-sound-devel

egrep -v "/include|/doc|/man/man1" \
	$RPM_BUILD_DIR/master.list > \
	$RPM_BUILD_DIR/file.list.%{pkg}

echo "%docdir" %{prefix}/doc/kde >> \
	$RPM_BUILD_DIR/file.list.%{pkg}
echo "%docdir" %{prefix}/doc/%{pkg}-devel-%{version}-%{release} >> \
	$RPM_BUILD_DIR/file.list.%{pkg}-devel
echo "%docdir" %{prefix}/doc/%{pkg}-sound-devel-%{version}-%{release} >> \
	$RPM_BUILD_DIR/file.list.%{pkg}-sound-devel

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/master.list
rm -rf $RPM_BUILD_DIR/file.list.%{pkg}
rm -rf $RPM_BUILD_DIR/file.list.%{pkg}-devel
rm -rf $RPM_BUILD_DIR/file.list.%{pkg}-sound-devel
rm -rf $RPM_BUILD_DIR/file.list.%{pkg}-sound

%post -p /sbin/ldconfig

%postun
/sbin/ldconfig

%files -f ../file.list.%{pkg}

%files devel -f ../file.list.%{pkg}-devel

%files sound -f ../file.list.%{pkg}-sound

%files sound-devel -f ../file.list.%{pkg}-sound-devel

%changelog
* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with new Qt

* Tue Aug 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.93

* Sat Aug 05 2000 Than Ngo <than@redhat.de>
- don't use -DNDEBUG and -O2 on alpha,sparc to build, it breaks with Internal
  error (c++ bug)

* Fri Aug  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to current (I fixed the libGL detection issue there)

* Wed Aug  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- move to /usr/lib/kde2
- new snapshot

* Wed Jul 26 2000 Than Ngo <than@redhat.de>
- new snapshot

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot

* Thu Jul 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot, new Qt
- various fixes to spec file
- get rid of -O0, no longer required with gcc 2.96-41 (except on alpha)

* Tue Jul 18 2000 Than Ngo <than@redhat.de>
- rebuilt with gcc-2.96-40

* Sun Jul 16 2000 Than Ngo <than@redhat.de>
- use gcc 2.96
- new snapshot
- use -O0 for now (ICE)

* Sun Jul  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Use egcs++
- Epoch 3
- Update to current

* Fri Jun 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to current - segfaulting at initialization time is not a nice
  feature.

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- disable build on ia64 for now (compiler bugs)
- FHSify

* Thu Mar 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- split: move sound support to a separate package, suggestion from
  David Faure <david@linux-mandrake.com>

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Wed Jan 05 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- move programming docs to %{prefix}/doc/kdelibs-devel-%{version}-%{release}
  and to kdelibs-devel package
- new snapshot

* Tue Dec 14 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Add qt version number in Requires, add kdoc HTML help
  (patch from David Faure <david@mandrakesoft.com>)
- Actually use the %clean section

* Mon Nov  1 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- almost completely rewrite spec file - move to DESTDIR system
- current snapshot

* Thu Oct 15 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- 2.0 snapshots
- Change prefix to respect %{prefix} so we can coexist with KDE 1.x
- kdelibs-devel requires kdelibs

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- move kde_htmldir to /usr/doc/kde
- mark doc files as such

* Tue Sep 21 1999 Preston Brown <pbrown@redhat.com>
- fix up perl include path for kdoc

* Thu Sep 16 1999 Preston Brown <pbrown@redhat.com>
- remove linking to qimgio from kdecore, moved to kpanel/kfm directly
- renamed "lowcolor" directory to "locolor"

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- added lowcolor icons directory and /usr/share/pixmaps to icon search path
- hacking to recognize .desktop files as application/x-kdelnk

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- added kdoc index files.

* Wed Sep 08 1999 Preston Brown <pbrown@redhat.com>
- updated to KDE 1.1.2.
- use /usr/lib/qt-1.44 as qt root.
- separate devel subpackages; include documentation and kdoc.
- added KDE icon.
- relocated includes to /usr/include/kde

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Fri Jan 15 1999 Preston Brown <pbrown@redhat.com>
- updated macros for RPM 3.0, removed redhat-release dependency

* Tue Jan 05 1999 Preston Brown <pbrown@redhat.com>
- re-integrated changes from Duncan Haldane
